Ask Your Question
0

Can't locate JSON/RPC/Legacy/Server/CGI.pm in @INC

asked 2016-07-31 17:46:23 -0500

paulhr gravatar image

updated 2016-08-04 12:25:22 -0500

As per my search this issue was solved in Fedora ~17. I am on Fedora 23.

Fedora 23
Bugzilla 4.4.12-1.fc23 (installed via dnf)

============= /usr/share/bugzilla/checksetup.pl --check-modules =============

/usr/share/bugzilla/checksetup.pl --check-modules
* This is Bugzilla 4.4.12 on perl 5.22.1
* Running on Linux 4.4.7-300.fc23.x86_64 #1 SMP Wed Apr 13 02:52:52 UTC 2016

Checking perl modules...
Checking for               CGI.pm (v3.51)     ok: found v4.21 
Checking for           Digest-SHA (any)       ok: found v5.95 
Checking for             TimeDate (v2.23)     ok: found v2.24 
Checking for             DateTime (v0.28)     ok: found v1.18 
Checking for    DateTime-TimeZone (v0.71)     ok: found v1.93 
Checking for                  DBI (v1.614)    ok: found v1.633 
Checking for     Template-Toolkit (v2.22)     ok: found v2.26 
Checking for           Email-Send (v2.04)     ok: found v2.201 
Checking for           Email-MIME (v1.904)    ok: found v1.934 
Checking for                  URI (v1.37)     ok: found v1.69 
Checking for       List-MoreUtils (v0.32)     ok: found v0.413 
Checking for    Math-Random-ISAAC (v1.0.1)    ok: found v1.004 

Checking available perl DBD modules...
Checking for           DBD-SQLite (v1.29)     ok: found v1.48 
Checking for           DBD-Oracle (v1.19)     not found 
Checking for            DBD-mysql (v4.001)    ok: found v4.033 
Checking for               DBD-Pg (v2.7.0)    ok: found v3.5.3 

The following Perl modules are optional:
Checking for                   GD (v1.20)     ok: found v2.56 
Checking for                Chart (v2.1.0)    ok: found v2.4.10 
Checking for          Template-GD (any)       ok: found v1.56 
Checking for           GDTextUtil (any)       ok: found v0.86 
Checking for              GDGraph (any)       ok: found v1.49 
Checking for           MIME-tools (v5.406)    ok: found v5.506 
Checking for          libwww-perl (any)       ok: found v6.15 
Checking for             XML-Twig (any)       ok: found v3.49 
Checking for          PatchReader (v0.9.6)    ok: found v0.9.6 
Checking for            perl-ldap (any)       ok: found v0.65 
Checking for          Authen-SASL (any)       ok: found v2.16 
Checking for         Net-SMTP-SSL (v1.01)     ok: found v1.03 
Checking for           RadiusPerl (any)       ok: found v0.24 
Checking for            SOAP-Lite (v0.712)    ok: found v1.19 
Checking for          XMLRPC-Lite (v0.712)    ok: found v0.717 
Checking for             JSON-RPC (any)       ok: found v1.06 
Checking for              JSON-XS (v2.0)      ok: found v3.01 
Checking for           Test-Taint (any)       ok: found v1.06 
Checking for          HTML-Parser (v3.67)     ok: found v3.71 
Checking for        HTML-Scrubber (any)       ok: found v0.15 
Checking for               Encode (v2.21)     ok: found v2.80 
Checking for        Encode-Detect (any)       ok: found v1.01 
Checking for          Email-Reply (any)       ok: found v1.203 
Checking for HTML-FormatText-WithLinks (v0.13)     ok: found v0.15 
Checking for          TheSchwartz (v1.07)     ok: found v1.12 
Checking for       Daemon-Generic (any)       ok: found v0.84 
Checking for           File-Slurp (v9999.13)  ok: found v9999.19 
Checking for             mod_perl (v1.999022) ok: found v2.000009 
Checking for     Apache-SizeLimit (v0.96)     ok: found v0.97 
Checking for        File-MimeInfo (any)       ok: found v0.27 
Checking for           IO-stringy (any)       ok: found v2.111 
Checking for          mod_expires (any)       ok 
Checking for ...
(more)
edit retag flag offensive close merge delete

Comments

Is the question not clear? Or is more detail needed? Why is "apachectl configtest" failing looking for the Legacy RPC when clearly the new JSON-RPC v1.06 was found the bugzilla check?

paulhr gravatar imagepaulhr ( 2016-08-02 09:58:41 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-08-04 16:06:45 -0500

paulhr gravatar image

The correct answer came from Emmanuel Seyman on the RedHat issue tracking system. I am posting it here for the benefit of others.

you need to install perl-JSON-RPC-CGI.

That fixed it.

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2016-07-31 17:46:23 -0500

Seen: 316 times

Last updated: Aug 04 '16